import request from '@/utils/request'

// 查询评估分类列表
export function listMallSchoolAppraiseClass(query) {
  return request({
    url: '/mall/mallSchoolAppraiseClass/list',
    method: 'get',
    params: query
  })
}

// 查询评估分类列表
export function selectAppraiseClassList() {
  return request({
    url: '/mall/mallSchoolAppraiseClass/selectAppraiseClassList',
    method: 'get'
  })
}

// 查询评估分类详细
export function getMallSchoolAppraiseClass(appraiseClassId) {
  return request({
    url: '/mall/mallSchoolAppraiseClass/' + appraiseClassId,
    method: 'get'
  })
}

// 新增评估分类
export function addMallSchoolAppraiseClass(data) {
  return request({
    url: '/mall/mallSchoolAppraiseClass',
    method: 'post',
    data: data
  })
}

// 修改评估分类
export function updateMallSchoolAppraiseClass(data) {
  return request({
    url: '/mall/mallSchoolAppraiseClass',
    method: 'put',
    data: data
  })
}

// 删除评估分类
export function delMallSchoolAppraiseClass(appraiseClassId) {
  return request({
    url: '/mall/mallSchoolAppraiseClass/' + appraiseClassId,
    method: 'delete'
  })
}
